Subject: Re: e1000 under VMware doesn't work since 2.6.27.16 - BISECTED

From: Roland Dreier <[email-masked]>
Date: Fri, 20 Mar 2009 16:03:58 -0700

> > we're using virtual machines under VMware with the e1000 emulated
 > > network card.

 > Sounds like vmware doesn't emulate the e1000 accurately enough.

I would consider problems with the vmware emulated e1000 to be similar
to hardware quirks in some other chip rev supported by the e1000
driver.  If a driver change broke e1000 inside a vmware VM then we
should probably fix the kernel if possible (although vmware probably
wants to improve their emulation too).

 - R.